Index: /palm/trunk/SOURCE/nudging.f90
===================================================================
--- /palm/trunk/SOURCE/nudging.f90	(revision 1364)
+++ /palm/trunk/SOURCE/nudging.f90	(revision 1365)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! ------------------
-! 
+! Variable t renamed nt, variable currtnudge renamed tmp_tnudge,
+! summation of nudging tendencies for data output added
+! +sums_ls_l, tmp_tend
+! Added new subroutine calc_tnudge, which calculates the current nudging time 
+! scale at each time step
 ! 
 ! Former revisions:
@@ -65,5 +69,5 @@
 
     PRIVATE
-    PUBLIC init_nudge, nudge 
+    PUBLIC init_nudge, calc_tnudge, nudge 
     SAVE
 
@@ -78,6 +82,6 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  ptnudge, qnudge, timenudge, tnudge, unudge, vnudge, wnudge,  &
-                  zu
+           ONLY:  ptnudge, qnudge, timenudge, tmp_tnudge, tnudge, unudge,      &
+                  vnudge, wnudge, zu
 
        USE control_parameters,                                                 &
@@ -96,5 +100,5 @@
        INTEGER(iwp) ::  ierrn        !:
        INTEGER(iwp) ::  k            !:
-       INTEGER(iwp) ::  t            !:
+       INTEGER(iwp) ::  nt            !:
 
        CHARACTER(1) ::  hash     !:
@@ -122,11 +126,15 @@
                  vnudge(nzb:nzt+1,1:ntnudge), wnudge(nzb:nzt+1,1:ntnudge)  )
 
+       ALLOCATE( tmp_tnudge(nzb:nzt) )
+
        ALLOCATE( timenudge(0:ntnudge) )
-
 
        ptnudge = 0.0_wp; qnudge = 0.0_wp; tnudge = 0.0_wp; unudge = 0.0_wp
        vnudge = 0.0_wp; wnudge = 0.0_wp; timenudge = 0.0_wp
-
-       t = 0
+!
+!--    Initialize array tmp_nudge with a current nudging time scale of 6 hours
+       tmp_tnudge = 21600.0_wp
+
+       nt = 0
        OPEN ( finput, FILE='NUDGING_DATA', STATUS='OLD', &
               FORM='FORMATTED', IOSTAT=ierrn )
@@ -140,5 +148,5 @@
 
  rloop:DO
-          t = t + 1
+          nt = nt + 1
           hash = "#"
           ierrn = 1 ! not zero
@@ -148,5 +156,5 @@
           DO WHILE ( .NOT. ( hash == "#" .AND. ierrn == 0 ) ) 
           
-            READ ( finput, *, IOSTAT=ierrn ) hash, timenudge(t)
+            READ ( finput, *, IOSTAT=ierrn ) hash, timenudge(nt)
             IF ( ierrn < 0 )  EXIT rloop
 
@@ -202,10 +210,10 @@
              fac = ( highheight - zu(k) ) / ( highheight - lowheight )
 
-             tnudge(k,t)  = fac * lowtnudge  + ( 1.0_wp - fac ) * hightnudge
-             unudge(k,t)  = fac * lowunudge  + ( 1.0_wp - fac ) * highunudge
-             vnudge(k,t)  = fac * lowvnudge  + ( 1.0_wp - fac ) * highvnudge
-             wnudge(k,t)  = fac * lowwnudge  + ( 1.0_wp - fac ) * highwnudge
-             ptnudge(k,t) = fac * lowptnudge + ( 1.0_wp - fac ) * highptnudge
-             qnudge(k,t)  = fac * lowqnudge  + ( 1.0_wp - fac ) * highqnudge
+             tnudge(k,nt)  = fac * lowtnudge  + ( 1.0_wp - fac ) * hightnudge
+             unudge(k,nt)  = fac * lowunudge  + ( 1.0_wp - fac ) * highunudge
+             vnudge(k,nt)  = fac * lowvnudge  + ( 1.0_wp - fac ) * highvnudge
+             wnudge(k,nt)  = fac * lowwnudge  + ( 1.0_wp - fac ) * highwnudge
+             ptnudge(k,nt) = fac * lowptnudge + ( 1.0_wp - fac ) * highptnudge
+             qnudge(k,nt)  = fac * lowqnudge  + ( 1.0_wp - fac ) * highqnudge
           ENDDO
 
@@ -225,4 +233,45 @@
     END SUBROUTINE init_nudge
 
+
+    SUBROUTINE calc_tnudge ( time )
+
+       USE arrays_3d,                                                          &
+           ONLY:  timenudge, tmp_tnudge, tnudge
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_3d 
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzt
+
+       USE kinds
+
+       IMPLICIT NONE
+
+
+       REAL(wp) ::  dtm         !:
+       REAL(wp) ::  dtp         !:
+       REAL(wp) ::  time        !:
+
+       INTEGER(iwp) ::  k   !:
+       INTEGER(iwp) ::  nt  !:
+
+       nt = 1
+       DO WHILE ( time > timenudge(nt) )
+         nt = nt+1
+       ENDDO
+       IF ( time /= timenudge(1) ) THEN
+         nt = nt-1
+       ENDIF
+
+       dtm = ( time - timenudge(nt) ) / ( timenudge(nt+1) - timenudge(nt) )
+       dtp = ( timenudge(nt+1) - time ) / ( timenudge(nt+1) - timenudge(nt) )
+
+       DO  k = nzb, nzt
+          tmp_tnudge(k) = MAX( dt_3d, tnudge(k,nt) * dtp + tnudge(k,nt+1) * dtm )
+       ENDDO
+
+    END SUBROUTINE calc_tnudge
+
 !------------------------------------------------------------------------------!
 ! Call for all grid points
@@ -231,21 +280,17 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tnudge, u, unudge,  &
-                  v, vnudge
-
-       USE buoyancy_mod,                                                       &
-           ONLY:  calc_mean_profile
+           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tmp_tnudge, tnudge, &
+                  u, unudge, v, vnudge
 
        USE control_parameters,                                                 &
-           ONLY:  dt_3d, message_string
+           ONLY:  dt_3d, intermediate_timestep_count, message_string
 
        USE indices,                                                            &
            ONLY:  nxl, nxr, nys, nyn, nzb, nzb_u_inner, nzt
 
-       USE kinds,                                                              &
-           ONLY:  iwp, wp
+       USE kinds
 
        USE statistics,                                                         &
-           ONLY:  hom
+           ONLY:  hom, sums_ls_l, weight_pres
 
        IMPLICIT NONE
@@ -253,5 +298,5 @@
        CHARACTER (LEN=*) ::  prog_var  !:
 
-       REAL(wp) ::  currtnudge  !:
+       REAL(wp) ::  tmp_tend    !:
        REAL(wp) ::  dtm         !:
        REAL(wp) ::  dtp         !:
@@ -261,23 +306,21 @@
        INTEGER(iwp) ::  j  !:
        INTEGER(iwp) ::  k  !:
-       INTEGER(iwp) ::  t  !:
-
-
-       t = 1
-       DO WHILE ( time > timenudge(t) )
-         t = t+1
+       INTEGER(iwp) ::  nt  !:
+
+
+       nt = 1
+       DO WHILE ( time > timenudge(nt) )
+         nt = nt+1
        ENDDO
        IF ( time /= timenudge(1) ) THEN
-         t = t-1
+         nt = nt-1
        ENDIF
 
-       dtm = ( time - timenudge(t) ) / ( timenudge(t+1) - timenudge(t) )
-       dtp = ( timenudge(t+1) - time ) / ( timenudge(t+1) - timenudge(t) )
+       dtm = ( time - timenudge(nt) ) / ( timenudge(nt+1) - timenudge(nt) )
+       dtp = ( timenudge(nt+1) - time ) / ( timenudge(nt+1) - timenudge(nt) )
 
        SELECT CASE ( prog_var )
 
           CASE ( 'u' )
-
-             CALL calc_mean_profile( u, 1, 'nudging' )
 
              DO  i = nxl, nxr
@@ -285,11 +328,11 @@
                    DO  k = nzb_u_inner(j,i)+1, nzt
 
-                      currtnudge = MAX( dt_3d, tnudge(k,t) * dtp +  &
-                                               tnudge(k,t+1) * dtm )
-
-
-                      tend(k,j,i) = tend(k,j,i) - ( hom(k,1,1,0) - &
-                                    ( unudge(k,t) * dtp + &
-                                       unudge(k,t+1) * dtm ) ) / currtnudge
+                      tmp_tend = - ( hom(k,1,1,0) - ( unudge(k,nt) * dtp +     &
+                                     unudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                      tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                      sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend *             &
+                                       weight_pres(intermediate_timestep_count)
                    ENDDO
                 ENDDO
@@ -298,17 +341,15 @@
           CASE ( 'v' )
 
-             CALL calc_mean_profile( v, 2, 'nudging' )
-
              DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
 
-                      currtnudge = MAX( dt_3d, tnudge(k,t) * dtp +  &
-                                               tnudge(k,t+1) * dtm )
-
-
-                      tend(k,j,i) = tend(k,j,i) - ( hom(k,1,2,0) - &
-                                    ( vnudge(k,t) * dtp + &
-                                       vnudge(k,t+1) * dtm ) ) / currtnudge
+                      tmp_tend = - ( hom(k,1,2,0) - ( vnudge(k,nt) * dtp +     &
+                                     vnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                      tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                      sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend *             &
+                                       weight_pres(intermediate_timestep_count)
                    ENDDO
                 ENDDO
@@ -317,17 +358,15 @@
           CASE ( 'pt' )
 
-             CALL calc_mean_profile( pt, 4, 'nudging' )
-
              DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
 
-                      currtnudge = MAX( dt_3d, tnudge(k,t) * dtp +  &
-                                               tnudge(k,t+1) * dtm )
-
-
-                      tend(k,j,i) = tend(k,j,i) - ( hom(k,1,4,0) - &
-                                    ( ptnudge(k,t) * dtp + &
-                                       ptnudge(k,t+1) * dtm ) ) / currtnudge
+                      tmp_tend = - ( hom(k,1,4,0) - ( ptnudge(k,nt) * dtp +    &
+                                     ptnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                      tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                      sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend *             &
+                                       weight_pres(intermediate_timestep_count)
                    ENDDO
                 ENDDO
@@ -336,17 +375,15 @@
           CASE ( 'q' )
 
-             CALL calc_mean_profile( q, 41, 'nudging' )
-
              DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
 
-                      currtnudge = MAX( dt_3d, tnudge(k,t) * dtp +  &
-                                               tnudge(k,t+1) * dtm )
-
-
-                      tend(k,j,i) = tend(k,j,i) - ( hom(k,1,41,0) - &
-                                    ( qnudge(k,t) * dtp + &
-                                       qnudge(k,t+1) * dtm ) ) / currtnudge
+                      tmp_tend = - ( hom(k,1,41,0) - ( qnudge(k,nt) * dtp +    &
+                                     qnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                      tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                      sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend *             &
+                                       weight_pres(intermediate_timestep_count)
                    ENDDO
                 ENDDO
@@ -369,21 +406,17 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tnudge, u, unudge,  &
-                  v, vnudge
-
-       USE buoyancy_mod,                                                       &
-           ONLY:  calc_mean_profile
+           ONLY:  pt, ptnudge, q, qnudge, tend, timenudge, tmp_tnudge, tnudge, &
+                  u, unudge, v, vnudge
 
        USE control_parameters,                                                 &
-           ONLY:  dt_3d, message_string
+           ONLY:  dt_3d, intermediate_timestep_count, message_string
 
        USE indices,                                                            &
            ONLY:  nxl, nxr, nys, nyn, nzb, nzb_u_inner, nzt
 
-       USE kinds,                                                              &
-           ONLY:  iwp, wp
+       USE kinds
 
        USE statistics,                                                         &
-           ONLY:  hom
+           ONLY:  hom, sums_ls_l, weight_pres
 
        IMPLICIT NONE
@@ -392,5 +425,5 @@
        CHARACTER (LEN=*) ::  prog_var  !:
 
-       REAL(wp) ::  currtnudge  !:
+       REAL(wp) ::  tmp_tend    !:
        REAL(wp) ::  dtm         !:
        REAL(wp) ::  dtp         !:
@@ -400,17 +433,17 @@
        INTEGER(iwp) ::  j  !:
        INTEGER(iwp) ::  k  !:
-       INTEGER(iwp) ::  t  !:
-
-
-       t = 1
-       DO WHILE ( time > timenudge(t) )
-         t = t+1
+       INTEGER(iwp) ::  nt  !:
+
+
+       nt = 1
+       DO WHILE ( time > timenudge(nt) )
+         nt = nt+1
        ENDDO
        IF ( time /= timenudge(1) )  THEN
-         t = t-1
+         nt = nt-1
        ENDIF
 
-       dtm = ( time - timenudge(t) ) / ( timenudge(t+1) - timenudge(t) )
-       dtp = ( timenudge(t+1) - time ) / ( timenudge(t+1) - timenudge(t) )
+       dtm = ( time - timenudge(nt) ) / ( timenudge(nt+1) - timenudge(nt) )
+       dtp = ( timenudge(nt+1) - time ) / ( timenudge(nt+1) - timenudge(nt) )
 
        SELECT CASE ( prog_var )
@@ -418,26 +451,26 @@
           CASE ( 'u' )
 
-             CALL calc_mean_profile( u, 1, 'nudging' )
-
              DO  k = nzb_u_inner(j,i)+1, nzt
 
-                currtnudge = MAX( dt_3d, tnudge(k,t) * dtp + tnudge(k,t+1) * dtm )
-
-                tend(k,j,i) = tend(k,j,i) - ( hom(k,1,1,0) - &
-                               ( unudge(k,t) * dtp + &
-                                 unudge(k,t+1) * dtm ) ) / currtnudge
+                tmp_tend = - ( hom(k,1,1,0) - ( unudge(k,nt) * dtp +           &
+                               unudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend                     &
+                                 * weight_pres(intermediate_timestep_count)
              ENDDO
 
           CASE ( 'v' )
 
-             CALL calc_mean_profile( v, 2, 'nudging' )
-
              DO  k = nzb_u_inner(j,i)+1, nzt
 
-                currtnudge = MAX( dt_3d, tnudge(k,t) * dtp + tnudge(k,t+1) * dtm )
-
-                tend(k,j,i) = tend(k,j,i) - ( hom(k,1,2,0) - &
-                               ( vnudge(k,t) * dtp + &
-                                 vnudge(k,t+1) * dtm ) ) / currtnudge
+                tmp_tend = - ( hom(k,1,2,0) - ( vnudge(k,nt) * dtp +           &
+                               vnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend                     &
+                                 * weight_pres(intermediate_timestep_count)
              ENDDO
 
@@ -445,13 +478,13 @@
           CASE ( 'pt' )
 
-             CALL calc_mean_profile( pt, 4, 'nudging' )
-
              DO  k = nzb_u_inner(j,i)+1, nzt
 
-                currtnudge = MAX( dt_3d, tnudge(k,t) * dtp + tnudge(k,t+1) * dtm )
-
-                tend(k,j,i) = tend(k,j,i) - ( hom(k,1,4,0) - &
-                               ( ptnudge(k,t) * dtp + &
-                                 ptnudge(k,t+1) * dtm ) ) / currtnudge
+                tmp_tend = - ( hom(k,1,4,0) - ( ptnudge(k,nt) * dtp +          &
+                               ptnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend                     &
+                                 * weight_pres(intermediate_timestep_count)
              ENDDO
 
@@ -459,13 +492,13 @@
           CASE ( 'q' )
 
-             CALL calc_mean_profile( q, 41, 'nudging' )
-
              DO  k = nzb_u_inner(j,i)+1, nzt
 
-                currtnudge = MAX( dt_3d, tnudge(k,t) * dtp + tnudge(k,t+1) * dtm )
-
-                tend(k,j,i) = tend(k,j,i) - ( hom(k,1,41,0) - &
-                               ( qnudge(k,t) * dtp + &
-                                 qnudge(k,t+1) * dtm ) ) / currtnudge
+                tmp_tend = - ( hom(k,1,41,0) - ( qnudge(k,nt) * dtp +          &
+                               qnudge(k,nt+1) * dtm ) ) / tmp_tnudge(k)
+
+                tend(k,j,i) = tend(k,j,i) + tmp_tend
+
+                sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend                     &
+                                 * weight_pres(intermediate_timestep_count)
              ENDDO
 
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1364)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1365)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Usage of large scale forcing enabled:
+! +use_subsidence_tendencies
 ! 
 ! Former revisions:
@@ -211,7 +212,7 @@
                transpose_compute_overlap, turbulence, turbulent_inflow,        &
                ug_surface, ug_vertical_gradient, ug_vertical_gradient_level,   &
-               use_surface_fluxes, use_cmax, use_top_fluxes,                   &
-               use_ug_for_galilei_tr, use_upstream_for_tke, uv_heights,        &
-               u_bulk, u_profile, vg_surface, vg_vertical_gradient,            &
+               use_subsidence_tendencies, use_surface_fluxes, use_cmax,        &
+               use_top_fluxes, use_ug_for_galilei_tr, use_upstream_for_tke,    &
+               uv_heights, u_bulk, u_profile, vg_surface, vg_vertical_gradient,&
                vg_vertical_gradient_level, v_bulk, v_profile,                  &
                wall_adjustment, wall_heatflux, wall_humidityflux,              &
@@ -295,5 +296,5 @@
              top_momentumflux_u, top_momentumflux_v, top_salinityflux, &
              transpose_compute_overlap, turbulence, turbulent_inflow, &
-             ug_surface, ug_vertical_gradient, &
+             use_subsidence_tendencies, ug_surface, ug_vertical_gradient, &
              ug_vertical_gradient_level, use_surface_fluxes, use_cmax, &
              use_top_fluxes, use_ug_for_galilei_tr, use_upstream_for_tke, &
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1364)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1365)
@@ -20,5 +20,8 @@
 ! Current revisions:
 ! ------------------
-! 
+! Calls of ls_advec for large scale advection added, 
+! subroutine subsidence is only called if use_subsidence_tendencies = .F.,
+! new argument ls_index added to the calls of subsidence
+! +ls_index
 ! 
 ! Former revisions:
@@ -143,10 +146,11 @@
                dp_level_ind_b, dp_smooth_factor, dpdxy, dt_3d, humidity,       &
                icloud_scheme, inflow_l, intermediate_timestep_count,           &
-               intermediate_timestep_count_max, large_scale_subsidence,        &
-               neutral, nudging, ocean, outflow_l, outflow_s, passive_scalar,  &
-               plant_canopy, precipitation, prho_reference, prho_reference,    &
-               prho_reference, pt_reference, pt_reference, pt_reference,       &
-               radiation, scalar_advec, scalar_advec, simulated_time,          &
-               sloping_surface, timestep_scheme, tsc, use_upstream_for_tke,    &
+               intermediate_timestep_count_max, large_scale_forcing,           &
+               large_scale_subsidence, neutral, nudging, ocean, outflow_l,     &
+               outflow_s, passive_scalar, plant_canopy, precipitation,         &
+               prho_reference, prho_reference, prho_reference, pt_reference,   &
+               pt_reference, pt_reference, radiation, scalar_advec,            &
+               scalar_advec, simulated_time, sloping_surface, timestep_scheme, &
+               tsc, use_subsidence_tendencies, use_upstream_for_tke,           &
                use_upstream_for_tke, use_upstream_for_tke, wall_heatflux,      &
                wall_nrflux, wall_qflux, wall_qflux, wall_qflux, wall_qrflux,   &
@@ -222,4 +226,7 @@
 
     USE kinds
+
+    USE ls_forcing_mod,                                                        &
+        ONLY:  ls_advec
 
     USE microphysics_mod,                                                      &
@@ -307,5 +314,5 @@
           i_omp_start = i 
        ENDIF
- 
+
        DO  j = nys, nyn
 !
@@ -537,7 +544,14 @@
 
 !
+!--          Large scale advection
+             IF ( large_scale_forcing )  THEN
+                CALL ls_advec( i, j, simulated_time, 'pt' )
+             ENDIF     
+
+!
 !--          If required, compute effect of large-scale subsidence/ascent
-             IF ( large_scale_subsidence )  THEN
-                CALL subsidence( i, j, tend, pt, pt_init )
+             IF ( large_scale_subsidence  .AND.                                &
+                  .NOT. use_subsidence_tendencies )  THEN
+                CALL subsidence( i, j, tend, pt, pt_init, 2 )
              ENDIF
 
@@ -662,7 +676,14 @@
 
 !
+!--          Large scale advection
+             IF ( large_scale_forcing )  THEN
+                CALL ls_advec( i, j, simulated_time, 'q' )
+             ENDIF
+
+!
 !--          If required compute influence of large-scale subsidence/ascent
-             IF ( large_scale_subsidence )  THEN
-                CALL subsidence( i, j, tend, q, q_init )
+             IF ( large_scale_subsidence  .AND.                                &
+                  .NOT. use_subsidence_tendencies )  THEN
+                CALL subsidence( i, j, tend, q, q_init, 3 )
              ENDIF
 
@@ -1177,7 +1198,14 @@
 
 !
+!--    Large scale advection
+       IF ( large_scale_forcing )  THEN
+          CALL ls_advec( simulated_time, 'pt' )
+       ENDIF
+
+!
 !--    If required compute influence of large-scale subsidence/ascent
-       IF ( large_scale_subsidence )  THEN
-          CALL subsidence( tend, pt, pt_init )
+       IF ( large_scale_subsidence  .AND.                                      &
+            .NOT. use_subsidence_tendencies )  THEN
+          CALL subsidence( tend, pt, pt_init, 2 )
        ENDIF
 
@@ -1365,9 +1393,16 @@
 !--    Sink or source of scalar concentration due to canopy elements
        IF ( plant_canopy ) CALL plant_canopy_model( 5 )
-       
+
+!
+!--    Large scale advection
+       IF ( large_scale_forcing )  THEN
+          CALL ls_advec( simulated_time, 'q' )
+       ENDIF
+
 !
 !--    If required compute influence of large-scale subsidence/ascent
-       IF ( large_scale_subsidence )  THEN
-         CALL subsidence( tend, q, q_init )
+       IF ( large_scale_subsidence  .AND.                                      &
+            .NOT. use_subsidence_tendencies )  THEN
+         CALL subsidence( tend, q, q_init, 3 )
        ENDIF
 
@@ -1978,7 +2013,14 @@
 
 !
+!--    Large scale advection
+       IF ( large_scale_forcing )  THEN
+          CALL ls_advec( simulated_time, 'pt' )
+       ENDIF
+
+!
 !--    If required compute influence of large-scale subsidence/ascent
-       IF ( large_scale_subsidence )  THEN
-          CALL subsidence( tend, pt, pt_init )
+       IF ( large_scale_subsidence  .AND.                                      &
+            .NOT. use_subsidence_tendencies )  THEN
+          CALL subsidence( tend, pt, pt_init, 2 )
        ENDIF
 
@@ -2142,7 +2184,14 @@
 
 !
+!--    Large scale advection
+       IF ( large_scale_forcing )  THEN
+          CALL ls_advec( simulated_time, 'q' )
+       ENDIF
+
+!
 !--    If required compute influence of large-scale subsidence/ascent
-       IF ( large_scale_subsidence )  THEN
-         CALL subsidence( tend, q, q_init )
+       IF ( large_scale_subsidence  .AND.                                      &
+            .NOT. use_subsidence_tendencies )  THEN
+         CALL subsidence( tend, q, q_init, 3 )
        ENDIF
 
Index: /palm/trunk/SOURCE/subsidence.f90
===================================================================
--- /palm/trunk/SOURCE/subsidence.f90	(revision 1364)
+++ /palm/trunk/SOURCE/subsidence.f90	(revision 1365)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Summation of subsidence tendencies for data output added 
+! +ls_index, sums_ls_l, tmp_tend
 ! 
 ! Former revisions:
@@ -90,10 +91,10 @@
        REAL(wp)     ::  ws_surface !: 
 
-       IF ( .NOT. ALLOCATED( w_subs )) THEN
+       IF ( .NOT. ALLOCATED( w_subs ))  THEN
           ALLOCATE( w_subs(nzb:nzt+1) )
           w_subs = 0.0_wp
        ENDIF 
 
-      IF ( ocean )  THEN
+       IF ( ocean )  THEN
           message_string = 'Applying large scale vertical motion is not ' // &
                            'allowed for ocean runs'
@@ -111,5 +112,5 @@
       subs_vertical_gradient_level_i(1) = 0
       DO  k = 1, nzt+1
-         IF ( i < 11 ) THEN
+         IF ( i < 11 )  THEN
             IF ( subs_vertical_gradient_level(i) < zu(k)  .AND. &
                  subs_vertical_gradient_level(i) >= 0.0_wp )  THEN
@@ -140,5 +141,5 @@
 
 
-    SUBROUTINE subsidence( tendency, var, var_init ) 
+    SUBROUTINE subsidence( tendency, var, var_init, ls_index ) 
 
        USE arrays_3d,                                                          &
@@ -146,5 +147,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  dt_3d
+           ONLY:  dt_3d, intermediate_timestep_count, large_scale_forcing
 
        USE indices,                                                            &
@@ -153,4 +154,7 @@
 
        USE kinds
+
+       USE statistics,                                                         &
+           ONLY:  sums_ls_l, weight_pres
 
        IMPLICIT NONE
@@ -159,5 +163,7 @@
        INTEGER(iwp) ::  j !: 
        INTEGER(iwp) ::  k !: 
-
+       INTEGER(iwp) ::  ls_index !:
+
+       REAL(wp)     ::  tmp_tend !:
        REAL(wp)     ::  tmp_grad !: 
     
@@ -174,10 +180,17 @@
           DO  j = nys, nyn
              DO  k = nzb_s_inner(j,i)+1, nzt 
-                IF ( w_subs(k) < 0.0_wp ) THEN    ! large-scale subsidence
-                   tendency(k,j,i) = tendency(k,j,i) - w_subs(k) *  &
-                                     ( var(k+1,j,i) - var(k,j,i) ) * ddzu(k+1)
-                ELSE                           ! large-scale ascent
-                   tendency(k,j,i) = tendency(k,j,i) - w_subs(k) *  &
-                                     ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k)
+                IF ( w_subs(k) < 0.0_wp )  THEN    ! large-scale subsidence
+                   tmp_tend = - w_subs(k) *                                    &
+                              ( var(k+1,j,i) - var(k,j,i) ) * ddzu(k+1)
+                ELSE                               ! large-scale ascent
+                   tmp_tend = - w_subs(k) *                                    &
+                              ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k)
+                ENDIF
+
+                tendency(k,j,i) = tendency(k,j,i) + tmp_tend
+
+                IF ( large_scale_forcing )  THEN
+                   sums_ls_l(k,ls_index) = sums_ls_l(k,ls_index) + tmp_tend    &
+                                      * weight_pres(intermediate_timestep_count)
                 ENDIF
              ENDDO
@@ -190,5 +203,5 @@
 
        DO  k = nzb, nzt
-          IF ( w_subs(k) < 0.0_wp ) THEN      ! large-scale subsidence
+          IF ( w_subs(k) < 0.0_wp )  THEN      ! large-scale subsidence
              var_mod(k) = var_init(k) - dt_3d * w_subs(k) *  &
                                ( var_init(k+1) - var_init(k) ) * ddzu(k+1)
@@ -198,5 +211,5 @@
 !--   At the upper boundary, the initial profile is shifted with aid of 
 !--   the gradient tmp_grad. (This is ok if the gradients are linear.)
-      IF ( w_subs(nzt) < 0.0_wp ) THEN
+      IF ( w_subs(nzt) < 0.0_wp )  THEN
          tmp_grad = ( var_init(nzt+1) - var_init(nzt) ) * ddzu(nzt+1)
          var_mod(nzt+1) = var_init(nzt+1) -  &
@@ -206,5 +219,5 @@
 
       DO  k = nzt+1, nzb+1, -1
-         IF ( w_subs(k) >= 0.0_wp ) THEN  ! large-scale ascent
+         IF ( w_subs(k) >= 0.0_wp )  THEN  ! large-scale ascent
             var_mod(k) = var_init(k) - dt_3d * w_subs(k) *  &
                                ( var_init(k) - var_init(k-1) ) * ddzu(k) 
@@ -214,7 +227,5 @@
 !--   At the lower boundary shifting is not necessary because the 
 !--   subsidence velocity w_subs(nzb) vanishes.
-
-
-      IF ( w_subs(nzb+1) >= 0.0_wp ) THEN
+      IF ( w_subs(nzb+1) >= 0.0_wp )  THEN
          var_mod(nzb) = var_init(nzb)
       ENDIF
@@ -225,5 +236,5 @@
  END SUBROUTINE subsidence
 
- SUBROUTINE subsidence_ij( i, j, tendency, var, var_init ) 
+ SUBROUTINE subsidence_ij( i, j, tendency, var, var_init, ls_index ) 
 
        USE arrays_3d,                                                          &
@@ -231,5 +242,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  dt_3d
+           ONLY:  dt_3d, intermediate_timestep_count, large_scale_forcing
 
        USE indices,                                                            &
@@ -237,4 +248,7 @@
 
        USE kinds
+
+       USE statistics,                                                         &
+           ONLY:  sums_ls_l, weight_pres
 
        IMPLICIT NONE
@@ -243,5 +257,7 @@
        INTEGER(iwp) ::  j !: 
        INTEGER(iwp) ::  k !: 
-
+       INTEGER(iwp) ::  ls_index !:
+
+       REAL(wp)     ::  tmp_tend !:
        REAL(wp)     ::  tmp_grad !: 
     
@@ -256,10 +272,15 @@
 !--    Influence of w_subsidence on the current tendency term
        DO  k = nzb_s_inner(j,i)+1, nzt 
-          IF ( w_subs(k) < 0.0_wp ) THEN      ! large-scale subsidence
-             tendency(k,j,i) = tendency(k,j,i) - w_subs(k) *  &
-                               ( var(k+1,j,i) - var(k,j,i) ) * ddzu(k+1)
-          ELSE                             ! large-scale ascent
-             tendency(k,j,i) = tendency(k,j,i) - w_subs(k) *  &
-                               ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k)
+          IF ( w_subs(k) < 0.0_wp )  THEN      ! large-scale subsidence
+             tmp_tend = - w_subs(k) * ( var(k+1,j,i) - var(k,j,i) ) * ddzu(k+1)
+          ELSE                                 ! large-scale ascent
+             tmp_tend = - w_subs(k) * ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k)
+          ENDIF
+
+          tendency(k,j,i) = tendency(k,j,i) + tmp_tend
+
+          IF ( large_scale_forcing )  THEN
+             sums_ls_l(k,ls_index) = sums_ls_l(k,ls_index) + tmp_tend          &
+                                     * weight_pres(intermediate_timestep_count)
           ENDIF
        ENDDO
@@ -269,8 +290,8 @@
 !--    Shifting of the initial profile is especially necessary with Rayleigh 
 !--    damping switched on
-       IF ( i == nxl .AND. j == nys ) THEN ! shifting only once per PE 
+       IF ( i == nxl .AND. j == nys )  THEN ! shifting only once per PE 
 
           DO  k = nzb, nzt
-             IF ( w_subs(k) < 0.0_wp ) THEN      ! large-scale subsidence
+             IF ( w_subs(k) < 0.0_wp )  THEN      ! large-scale subsidence
                 var_mod(k) = var_init(k) - dt_3d * w_subs(k) *  &
                                   ( var_init(k+1) - var_init(k) ) * ddzu(k+1)
@@ -280,5 +301,5 @@
 !--       At the upper boundary, the initial profile is shifted with aid of 
 !--       the gradient tmp_grad. (This is ok if the gradients are linear.)
-          IF ( w_subs(nzt) < 0.0_wp ) THEN
+          IF ( w_subs(nzt) < 0.0_wp )  THEN
              tmp_grad = ( var_init(nzt+1) - var_init(nzt) ) * ddzu(nzt+1)
              var_mod(nzt+1) = var_init(nzt+1) -  &
@@ -288,5 +309,5 @@
 
           DO  k = nzt+1, nzb+1, -1
-             IF ( w_subs(k) >= 0.0_wp ) THEN  ! large-scale ascent
+             IF ( w_subs(k) >= 0.0_wp )  THEN  ! large-scale ascent
                 var_mod(k) = var_init(k) - dt_3d * w_subs(k) *  &
                                    ( var_init(k) - var_init(k-1) ) * ddzu(k)
@@ -296,7 +317,5 @@
 !--       At the lower boundary shifting is not necessary because the 
 !--       subsidence velocity w_subs(nzb) vanishes.
-
-
-          IF ( w_subs(nzb+1) >= 0.0_wp ) THEN
+          IF ( w_subs(nzb+1) >= 0.0_wp )  THEN
              var_mod(nzb) = var_init(nzb)
           ENDIF
